### Enumeration

# Fwupd UpdateState

#### Declaration

    enum Fwupd.UpdateState

#### Description [src]

The update state.

#### Members

Name | Description
--- | ---
`FWUPD_UPDATE_STATE_UNKNOWN` | Unknown.
`FWUPD_UPDATE_STATE_PENDING` | Update is pending.
`FWUPD_UPDATE_STATE_SUCCESS` | Update was successful.
`FWUPD_UPDATE_STATE_FAILED` | Update failed.
`FWUPD_UPDATE_STATE_NEEDS_REBOOT` | Waiting for a reboot to apply.
`FWUPD_UPDATE_STATE_FAILED_TRANSIENT` | Update failed due to transient issue, e.g. AC power required.